Package org.jfree.layouting.input.style

## Class StyleSheetUtility

- java.lang.Object
- - org.jfree.layouting.input.style.StyleSheetUtility

-     public class StyleSheetUtility
      extends java.lang.Object

  Creation-Date: Dec 3, 2006, 3:29:10 PM
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CSSPageRule` | `createRuleForPage​(StyleSheet style, java.awt.print.PageFormat format)` |
    `static java.awt.print.PageFormat` | `getPageFormat​(CSSPageRule rule)` |
    `static void` | `updateRuleForPage​(CSSPageRule rule, java.awt.print.PageFormat format)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createRuleForPage

          public static CSSPageRule createRuleForPage​(StyleSheet style,
                                                      java.awt.print.PageFormat format)

    - #### updateRuleForPage

          public static void updateRuleForPage​(CSSPageRule rule,
                                               java.awt.print.PageFormat format)

    - #### getPageFormat

          public static java.awt.print.PageFormat getPageFormat​(CSSPageRule rule)